#include <bits/stdc++.h>


using std::cout;
using std::cin;

int n, k, x, c;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    scanf("%d%d%d", &n, &k, &x);

    if (k == 0)
    {
        for (int i = 0; i < n; i++)
        {
            int t = i + 1;
            printf("%d ", t);
        }
        return 0;
    }

    if (k == n)
    {
        a[0] = 1;
        a[1] = 2 + x;
        a[2] = 3 + x + x;
        for (int i = 0; i < n; i++)
            printf("%d ", a[i]);
        return 0;
    }


    int a[1000];
    a[0] = 1;
    int c = 0;
    for (int i = 0; i < n - 1; i++)
    {
        for (int j = i + 1; j < n; j++)
        {
            if (c < k)
            {
                a[j] = a[i] + x;
                c++;
            }
            else
                a[j] = ;
        }
    }

    for (int i = 0; i < n; i++)
        printf("%d ", a[i]);
    return 0;
}